[ANNOUNCE] Deprecation of marionette_driver and marionette_harness PyPI packages

Andreas Tolfsen ato at sny.no
Tue Jan 15 13:39:59 UTC 2019


The Interoperability team wishes to announce that we will be
deprecating the following two PyPI packages in May 2019 in conjunction
with the Firefox 68 ESR release:

	https://pypi.org/project/marionette_driver/
	https://pypi.org/project/marionette-harness/

We have no immediate plans to remove them from the central tree,
but if you rely on either of these off PyPI in projects outside the
tree we would encourage moving to a standard WebDriver client with
geckodriver.

Their location in-tree is, correspondingly:

	testing/marionette/client
	testing/marionette/harness

We intend to make one final release before 68 ESR to facilitate
users to vendor an ESR compatible version of the library, for cases
where transitioning to WebDriver is not feasible.



More information about the tools-marionette mailing list